const fs = require("fs");
const path = require("path");
const templateFile = path.join(__dirname, "theme/template.html");

function replaceTokens(str, data) {
  const tokenRegex = /{(.*?)}/g;

  str = str.replace(tokenRegex, (match, token) => {
    let value = data;

    for (let key of token.split(".")) {
      value = value[key];
    }
    return value;
  });

  return str;
}

const render = (resume) => {
  let template = fs.readFileSync(templateFile, { encoding: "utf-8" });
  return replaceTokens(template, resume);
};

module.exports = {
  render,
};
